Subject: Ri:RE: [Simple] SIMPLE - IM

From: [email-masked]
Date: Tue, 22 Jul 2003 11:42:20 +0200

That's an interesting question...
some times ago I read something about SIP on wireless and congestion issues,
if I don't wrong written by ericsson people.

So can someone do a summarize about SIP and/or IM on WIRELESS ???

thanks in advance
Sal

> Thanks for your answer.
>  
> I have another small question.
> Does the known format of IM and Presence (MESSAGE, SUBSCRIBE, NOTIFY ...)
> used the same way on wireless networks and on wired networks?
>  
> If not, can anyone point me to some document about the difference between
> those networks?
> (or documents of how it being handled on wireless networks?)
> Thanks again.
>  
>  
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, July 22, 2003 12:13 PM
> To: [email-masked]; [email-masked]
> Subject: RE: [Simple] SIMPLE - IM
>  
> Hi Silvi,
>  
> There will be two different paradigms for SIP IM: one-shot messages using
> MESSAGE method, and messaging sessions using MSRP as the transport protocol
> for messages. MSRP does not run on top of SIP but directly on top of TCP.
> SIP INVITE & BYE are just used to setup the messaging session (using normal
> SDP negotiation). The justification for the two paradigms is quite well
> presented in the first two chapters of the draft mentioned in your mail. 
>  
> SIP MESSAGE is already an RFC 3428: http://www.ietf.org/rfc/rfc3428.txt
> <http://www.ietf.org/rfc/rfc3428.txt> , and supported by many
> implementations. Messaging Sessions and MSRP are still in a draft phase, but
> getting quite close to be ready. This means that they should appear in the
> "real world" in the next few months.
>  
> Rgs,
>     Markus 
> -----Original Message-----
> From: ext Silvi Kates [mailto:[email-masked]]
> Sent: 22 July, 2003 11:49
> To: [email-masked]'
> Subject: [Simple] SIMPLE - IM
> Hi,
> So far on all the documents and applications of Instant message the Method
> for sending IM messages was
> MESSAGE.
> Now I came across this draft:
> http://www.potaroo.net/ietf/ids/draft-ietf-simple-message-sessions-01.txt
> <http://www.potaroo.net/ietf/ids/draft-ietf-simple-message-sessions-01.txt> 
> Which I found in here: http://www.potaroo.net/ietf/ids-wg-simple.html
> <http://www.potaroo.net/ietf/ids-wg-simple.html> 
>  
> That's suggests that instead of using the MESSAGE method, there are now new
> methods (SEND , VISIT, BIND)
> Of the  MSRP (message session relay protocol) that are carried over SIP.
> Is this only a suggestion, or does it really used in real life, on SIP IM
> applications?
>  
>  
> Thanks
>  Silvi
>  
> 
> 
> List of bodypart file names

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple